Cyberduck Mountain Duck CLI

#1813 closed defect (fixed)

Leap year bug

Reported by: anonymous Owned by: dkocher
Priority: high Milestone: 2.8.5
Component: ftp Version: 2.8.4
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

Notice that listing for director/files of Feb 29th 2008 are listed as Unknown in the modified column

Attachments (1)

leap-year-bug.gif (66.4 KB) - added by david on Feb 29, 2008 at 12:22:12 PM.
Screenshot of directory listing and transcript

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Feb 29, 2008 at 9:43:34 AM by dkocher

  • Component changed from core to ftp
  • Milestone set to 2.9
  • Priority changed from normal to high
  • Severity changed from normal to major
  • Status changed from new to assigned
  • Summary changed from leap year bug to Leap year bug

Assumes that "Feb 29 12:00" refers to Feb 29 1970 (an invalid date) rather than a potentially valid leap year date.

Changed on Feb 29, 2008 at 12:22:12 PM by david

Screenshot of directory listing and transcript

comment:4 Changed on Mar 3, 2008 at 10:12:06 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3545.

comment:5 Changed on Mar 16, 2008 at 6:21:55 PM by dkocher

  • Milestone changed from 3.0 to 2.8.5

Backported in r3581.

Note: See TracTickets for help on using tickets.
swiss made software